ugetx(3)

NAME
ugetx, ugetxc

SYNOPSIS
#include <allegro.h>

int ugetx(char **s); int ugetxc(const char **s);

DESCRIPTION
Low level helper function for reading Unicode text data. ugetxc is provided for working with pointer-to-pointer-to-const char data. Example:
   char *p = string;
   int first_letter, second_letter, third_letter;
   first_letter = ugetx(&p);
   second_letter = ugetx(&p);
   third_letter = ugetx(&p);

RETURN VALUE
Returns the character pointed to by `s' in the current encoding format, and advances the pointer to the next character after the one just returned.

SEE ALSO
ugetc(3), usetc(3), uwidth(3), ucwidth(3), uisok(3)